unit AIOUSB_Constants;

interface

const
  diNone = $FFFFFFFF;
  diFirst = $FFFFFFFE;
  diOnly = $FFFFFFFD;

  bmRAMREGCHECK_FWE20 = $2;
  bmRAMREGCHECK_GENREG = $1;

  C_ENDPOINT_ZERO_READ = $C0;
  C_ENDPOINT_ZERO_WRITE = $40;
  C_RAM_REG_ADDRESS = $8000;

  C_RAM_REG_CHECK_REVISION = 3;
  C_RAM_REG_CHECK_UNSUPPORTED = $FF;
  C_RAM_REG_CHECK_INDEX = $0001;

  C_CPUCS_ADDRESS = $E600;
  C_DAC_BASE_CLOCK_RATE = 12000000;
  C_USBDA128A_RAM_SIZE = 128*1024;

  ERROR_DEVICE_REMOVED = 1617;
  ERROR_DEVICE_NOT_CONNECTED = 1167; //Observed on an actual motherboard, probably typoed from ERROR_DEVICE_REMOVED.

  FILE_DEVICE_UNKNOWN = $0022;
  METHOD_BUFFERED = 0;
  METHOD_NEITHER  = 3;
  FILE_ANY_ACCESS = 0;

  D15LoClassGUID:     TGUID = (D1: $AE18AA60; D2: $7F6A; D3: $11D4; D4: ($97, $DD, $00, $01, $02, $29, $B9, $59) );

implementation

end.

